httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
Subject DO NOT REPLY [Bug 48486] ./configure --enable-authnz_ldap; fails
Date Tue, 05 Jan 2010 19:15:22 GMT

--- Comment #2 from Charles Simms <> 2010-01-05 11:15:19 UTC ---
Thanks for replying.

I installed openldap openldap-2.4.19 as follows:

Install OpenLDAP 
tar xvzf openldap-stable-20091028.tgz 
cd openldap-2.4.19 
export CPPFLAGS="-I/usr/local/BerkeleyDB.4.7/include
-I/usr/local/openssl/include" LDFLAGS="-L/usr/local/BerkeleyDB.4.7/lib
export LD_LIBRARY_PATH=/usr/software/apache2/db-4.7.25/build_unix/.libs 
./configure --prefix=/usr/local --sysconfdir=/etc/openldap --enable-ipv6
--with-tls --disable-slurpd --with-openssl=/usr/local/openssl 
make depend 
make install 
All built and installed successfully and the ldap libraries were installed:

[root@smrtvsvn02 apache2]# cd /usr/local/lib
[root@smrtvsvn02 lib]# ls      liblber.a  libldap.a     libldap_r.a

This is the directory I am using to support the ldap module and apache build
using the following to configure:
"./configure" \
"--prefix=/usr/local/apache2" \
"--with-included-apr" \
"--enable-module=shared" \
"--enable-so" \
"--enable-authnz_ldap" \
"--enable-ssl" \
"--enable-ldap" \
"--with-ssl=/usr/local/openssl" \
"--with-ldap" \
"--with-ldap-lib=/usr/local/lib" \

The error I am getting is that the ldap library created in /usr/local/lib are
not recognised as ldap libraries by apache configure.

If there is an easier way to install these libraries ie by packages I have not
been able to find how to do this. I installed openssl openssl-0.9.8l
successfully and apache had no problem with this installation.

The only example I found to help install ldap modules was
which I followed.

I have tried to ask for help and have placed a couple of questions on
and got no response. If there are better forums please could you let me know
where these are?

The document to install apache2.2 and the default modules is useful. I found no
documents to detail how to build and install ldap and ssl modules which I
believed came with apache2.2.

I would be very grateful if you could give me some pointers or suggest where I
could get the relevant information.

Configure bugmail:
------- You are receiving this mail because: -------
You are the assignee for the bug.

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message